# DataRestrictions class

Represents a DataRestrictions object that is used for validating user input.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

DataRestrictions({required bool isRequired, required List<ValidationRule> validationRules})
DataRestrictions.empty({bool isRequired = false, List<ValidationRule> validationRules = const []})
  const
DataRestrictions.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
isRequired → bool
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
validationRules → List<ValidationRule>
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited